#
# spec file for package pwiz (Version 0.04.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-HTML-Parser perl-HTML-Tagset perl-XML-Parser permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pwiz
Version:        0.04.1
Release:        0
Group:          Development/Tools/Building
License:        GPL
Summary:        A Packaging WIZard
Source:         %{name}-%{version}.tar.bz2
Autoreqprov:    on
Requires:       bash sed findutils grep perl-HTML-Parser perl-XML-Parser
BuildRequires:  perl-HTML-Parser perl-XML-Parser
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PWIZ is a packaging process wizard.

Main goals of PWIZ:

- Decrease amount of mechanical work in packaging process by
   processing mechanical steps in semi-automatic way.

- Make packages creating possible for inexperienced users.

- Increase packages quality.



Authors:
--------
    Stanislav Brabec <sbrabec@suse.cz>

%debug_package
%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/usr\
	--libexecdir=/usr/%{_lib}\
	--libdir=/usr/%{_lib}\
	--with-docdir=/usr/share/doc/packages
make pwizdocdir=%{_defaultdocdir}/%{name} pwizhtmldir=%{_defaultdocdir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT pwizdocdir=%{_defaultdocdir}/%{name} pwizhtmldir=%{_defaultdocdir}/%{name} install
cp -p AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
rm $RPM_BUILD_ROOT/usr/%{_lib}/pwiz/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr (-, root, root)
%doc %{_defaultdocdir}/*
/usr/%{_lib}/pwiz
/usr/bin/*
/usr/share/pwiz

%changelog -n pwiz
* Fri Apr 21 2006 - sbrabec@suse.cz
- Updated to version 0.04.1.
* Thu Apr 06 2006 - ro@suse.de
- change readlink return type to "ssize_t" as in glibc
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - mmarek@suse.cz
- #undef _FORTIFY_SOURCE in pwizwatch.c to fix build
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Apr 13 2005 - sbrabec@suse.cz
- Fixed requirements and documentation path.
* Tue Apr 12 2005 - sbrabec@suse.cz
- Updated to version 0.04.
* Thu Nov 11 2004 - coolo@suse.de
- fixing file list for debug packages
* Thu Jul 22 2004 - sbrabec@suse.cz
- New SuSE package, version 0.01.
